MV(1)

NOME
mv - movimenta (renomeia) os arquivos

SINOPSW
mv [opção...] origem destino
mv [opção...] origem... destino

Opções POSIX: [-fi]

Opções GNU (forma reduzida): [-bfiuv] [-S sufixo] [-V {numerada,existente,simples}] [--help] [--version] [--]

DESCRIÇÃO
mv movimenta ou renomeia arquivos ou diretórios.

Se o último argumento é um nome de um diretório existente, mv movimenta cada arquivo dado para um arquivo com o mesmo nome naquele diretório. De outra forma, se somente dois arquivos são dados, ele renomeará o primeiro como o segundo. É errado se o último argumento não for um diretório e mais de dois arguivos forem fornecidos.

Assim, 'mv /a/x/y /b' irá renomear o arquivo /a/x/y em /b/y se /b for um diretório existente, e de outra forma em /b.

Deixe-nos chamar um arquivo fornecido existente para move-lo para seu destino. Se destino existe, se a opção -i option é fornecida, ou o destino não pode ser reescrito, a entrada padrão é um terminal, e a opção -f não é fornecida, mv perguntará se o usuários desejam repor o arquivo, escrevendo a opção no erro padrão e lendo a resposta na entrada padrão. Se a resposta for negativa, o arquivo é ignorado.

Quando ambos origem e destino são do mesmo sistema de arquivos, eles são o mesmo arquivo (somente o nome é alterado; proprietário, modo e rótulo de tempo ficam inalteradas). Quando estão em sistemas de arquivos diferentes, o arquivo origem é copiado e então apagado. mv copiará o tempo de modificação, tempo de acesso, usuário e identificação numérica do grupo, e o modo se possível. Quando copiando, o usuário e/ou a identificação numérica falhar, os bits setuid e setgid são zerados na cópia.

OPÇÕES POSIX

-f  Não solicita confirmações.

-i  Solicita confirmação quando existe um destino (No caso de ambas opções -f e -i serem fornecidas, a última delas surtirá efeito.)

DETALHES GNU
A implementação GNU (no Utilitários de Arquivos 3.16) é interrompida no sentido de que mv pode movimentar apenas arquivos regulares entre sistemas de arquivos.

OPÇÕES GNU

-f, --force
    Apaga destinos existentes sem perguntar ao usuário.

-i, --interactive
    Pergunta ao usuário se deseja sobrescrever um arquivo de destino regular existente. Se a resposta for negativa, o arquivo é ignorado.

-u, --update
    Não movimenta um não diretório que tem um destino existente com a mesma data de modificação ou uma mais recente.

-v, --verbose
    Imprime o nome de cada arquivo antes de move-lo.

OPÇÕES GNU DE CÓPIAS DE SEGURANÇA
As versões GNU de programas como, cp, mv, ln, install e patch podem criar cópias de segurança dos arquivos que foram sobrescritos, alterados ou destruídos se você pedir. Aqueles arquivos de segurança são pedidos pela opção -b. O modo como eles devem ser nomeados é especificado pela opção -V. No caso de o nome do arquivo de segurança for fornecido pelo nome do arquivo mais um sufixo, o sufixo é especificado pela opção -S.

-b, --backup
    Cria cópias de segurança dos arquivos que estão para ser sobrescritos ou removidos.

-S SUFIXO, --suffix=SUFIXO
    Anexa o SUFIXO para cada cópia de segurança feita. Se esta opção não é especificada, o valor da variável de ambiente SIMPLE_BACKUP_SUFFIX é usada. E se SIMPLE_BACKUP_SUFFIX não for selecionada, o padrão é '~'.

-V MÉTODO, --version-control=MÉTODO
    Especifica como as cópias de segurança serão nomeadas. O argumento MÉTODO pode ser 'numeradas' (ou 't'), 'existente' (ou 'nil'), ou 'simples' (ou Se esta opção não é especificada, o valor da variável de ambiente VERSION_CONTROL é usado. E se VERSION_CONTROL não é selecionado, o tipo padrão das cópias de segurança é 'existente'.

    Esta opção corresponde à variável Emacs 'version-control'. O(s) MÉTODO(s) são válidos (unicamente abreviações são aceitas):

    t, numeradas
        Sempre fará cópias de segurança numeradas.

    nil, existente
        Fará cópias de segurança numeradas de arquivos que já possuem cópias de segurança numeradas, e cópias de segurança simples dos outros.

    nunca, simples
        Sempre fará cópias de segurança simples.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE e LC_MESSAGES têm seus significados usuais. Para a versão GNU, as variáveis SIMPLE_BACKUP_SUFFIX e VERSION_CONTROL controlam as cópias de segurança nomeando as cópias de segurança do arquivo, como descrito acima.

DE ACORDO COM
POSIX 1003.2, exceto que não podem ser movidas estruturas de diretórios entre sistemas de arquivos.

NOTAS
Esta página descreve mv como é encontrado no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Roberto Selbach Teixeira <robteix@zaz.com.br> (revisão)